%define upstream_name    Params-Coerce
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Allows your classes to do coercion of parameters
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Params/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
A big part of good API design is that we should be able to be flexible in
the ways that we take parameters.

Params::Coerce attempts to encourage this, by making it easier to take a
variety of different arguments, while adding negligable additional
complexity to your code.

What is Coercion
    "Coercion" in computing terms generally referse to "implicit type
    conversion". This is where data and object are converted from one type
    to another behind the scenes, and you just just magically get what you
    need.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/Params


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-12.mga8
+ Revision: 1505850
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-11.mga7
+ Revision: 1285485
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.140.0-10.mga7
+ Revision: 1166127
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.140.0-9.mga7
+ Revision: 1160522
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-8.mga6
+ Revision: 1031634
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.140.0-7.mga6
+ Revision: 949764
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 790408
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 747418
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 685882
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 513970
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 371484
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 32311
- mageia rebuild
- imported package perl-Params-Coerce


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2010.0
+ Revision: 404282
- rebuild using %%perl_convert_version

* Sun Jul 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2009.0
+ Revision: 234303
- import perl-Params-Coerce


* Sun Jul 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2009.0
- initial mdv release, generated with cpan2dist


